---
lang: en
title: 'API docs: repository.filterbuilder.include'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.filterbuilder.include.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [FilterBuilder](./repository.filterbuilder.md) &gt; [include](./repository.filterbuilder.include.md)

## FilterBuilder.include() method

Declare `include`

<b>Signature:</b>

```typescript
include(...i: (string | string[] | Inclusion<MT>)[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  i | <code>(string &#124; string[] &#124; Inclusion&lt;MT&gt;)[]</code> | A relation name, an array of relation names, or an <code>Inclusion</code> object for the relation/scope definitions |

<b>Returns:</b>

`this`


